///////////////////////////////////////////////////////////////////////////////
// Dervish Cat Rocket Controller
//
// Ensures that the cat screams while falling, then start dervishing forever
///////////////////////////////////////////////////////////////////////////////
class CatRocketController extends AWCatController;

///////////////////////////////////////////////////////////////////////////////
// FallingStartDervishRocket
// Play screeching sound while falling.
///////////////////////////////////////////////////////////////////////////////
auto state FallingStartDervishRocket extends FallingStartDervish
{
	event Touch(actor Other)
	{
		if (FPSPawn(Other) != None)
			DervishThisPawn(FPSPawn(Other));
		else
			Super.Touch(Other);
	}
}

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
// Coming out of dervish,
// allow them to be picked up, but not much else
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
state DervishFinish
{
	///////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////
	function BeginState()
	{
		TurnOffDervish();
		Pawn.ChunkUp(0);
	}
}
