///////////////////////////////////////////////////////////////////////////////
// CopClothesInv
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//
// Clothing inventory item. You're not wearing this, you have it
// folded up right now, so it's not active.
//
// This is the dudes original clothes for when he's wearing some other
// outfit.
//
///////////////////////////////////////////////////////////////////////////////
class CowClothesInv extends ClothesInv;

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     HandsTexture=Texture'MP_FPArms.LS_arms.LS_hands_robber'
     FootTexture=Texture'AW_Characters.Special.Cow_Control_Dude'
     BodyMesh=SkeletalMesh'Characters.Avg_M_SS_Pants'
     BodySkin=Texture'AW_Characters.Special.Cow_Control_Dude'
     bAllowKeep=False
     bAllowSwap=False
     bPaidFor=True
     Hint1="Press Enter to wear"
     Hint2="cow control uniform."
     InventoryGroup=108
     PickupClass=Class'CowClothesPickup'
     Icon=Texture'HUDPack.Icons.Icon_Inv_CopUniform'
}
