//=============================================================================
// MaDBaseyWeapon.
// Created on: 04/05/2005
// Written by Eduard Klemens
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MaDBaseyWeapon extends MaDBloodShovel;

#exec OBJ LOAD FILE=MaDModsAnims.ukx
#exec OBJ LOAD File=MaDModsTexToo.utx

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
	bMeleeBlockOK=False
	MaDAttachClass=class'AW7MaDInventory.MaDBasey'
	MaDAttachBone="Basey"
	DefaultSkins=(Shader'MaDModsTexToo.UnBloody.MaDUBBaseyShad',Shader'MaDModsTexToo.UnBloody.MaDUBNailShad00',Shader'MaDModsTexToo.UnBloody.MaDUBNailShad01'))
	BloodSkins(0)=(Skins=(Shader'MaDModsTexToo.HalfBloody.MaDHBBaseyShad',Shader'MaDModsTexToo.HalfBloody.MaDHBNailShad00',Shader'MaDModsTexToo.HalfBloody.MaDHBNailShad01'))
	BloodSkins(1)=(Skins=(Shader'MaDModsTexToo.Bloody.MaDBBaseyShad',Shader'MaDModsTexToo.Bloody.MaDBNailShad00',Shader'MaDModsTexToo.Bloody.MaDBNailShad01'))

	DefaultSkinsNoShine=(Shader'MaDModsTexToo.UnBloody.MaDUBBaseyShadNS',Shader'MaDModsTexToo.UnBloody.MaDUBNailShad00NS',Shader'MaDModsTexToo.UnBloody.MaDUBNailShad01NS'))
	BloodSkinsNoShine(0)=(Skins=(Shader'MaDModsTexToo.HalfBloody.MaDHBBaseyShadNS',Shader'MaDModsTexToo.HalfBloody.MaDHBNailShad00NS',Shader'MaDModsTexToo.HalfBloody.MaDHBNailShad01NS'))
	BloodSkinsNoShine(1)=(Skins=(Shader'MaDModsTexToo.Bloody.MaDBBaseyShadNS',Shader'MaDModsTexToo.Bloody.MaDBNailShad00NS',Shader'MaDModsTexToo.Bloody.MaDBNailShad01NS'))

     RecognitionDist=600.000000
     AI_BurstCountExtra=2
     AI_BurstTime=1.000000
     switchstyle=WEAPONHOLDSTYLE_Single
     ShakeOffsetTime=3.000000
     PlayerMeleeDist=100.000000
     NPCMeleeDist=90.000000
     HudHint2="Alt Fire (Right Mouse Button) to bash."
     CombatRating=1.000000
     FirstPersonMeshSuffix="Baton"
     WeaponSpeedLoad=1.250000
     WeaponSpeedShoot1=0.900000
     WeaponSpeedShoot1Rand=0.200000
     WeaponSpeedShoot2=0.900000
     WeaponSpeedIdle=0.300000
     AltFireSound=Sound'WeaponSounds.baton_fire2'
     AmmoName=Class'AW7MaDInventory.MaDBaseyInv'
     FireOffset=(X=2.000000,Z=-1.000000)
     ShakeRotMag=(X=30.000000,Y=250.000000,Z=30.000000)
     ShakeRotTime=3.000000
     ShakeOffsetMag=(X=0.000000,Y=6.000000,Z=0.000000)
     TraceAccuracy=0.100000
     AIRating=0.100000
     MaxRange=90.000000
     FireSound=Sound'WeaponSounds.baton_fire1'
     SelectSound=Sound'MaDModsSounds.MaDBaseySelect'
     GroupOffset=8
     PickupClass=Class'AW7MaDInventory.MaDBaseyPickup'
     PlayerViewOffset=(X=1.000000)
     BobDamping=0.975000
     AttachmentClass=Class'AW7MaDInventory.MaDBaseyAttachment'
     ItemName="M@D Basey"
     Mesh=SkeletalMesh'MaDModsAnims.MaD_LS_Basey'
     Skins(0)=Texture'MP_FPArms.LS_arms.LS_hands_dude'
}
