//=============================================================================
// MaDSSniperAmmoInv.
// In gun ammo
// Created on: 03/05/2005
// Written by Eduard Klemens
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MaDSSniperAmmoInv extends P2AmmoInv;

#exec OBJ LOAD FILE=MaDModsTex.utx

///////////////////////////////////////////////////////////////////////////////
// Add in the instigator
///////////////////////////////////////////////////////////////////////////////
function SpawnMaDSSniperProjectile(vector Start, vector Dir)
{
	local MaDSSniperProjectile msp;

	// 1407 bug below
	//AmmoAmount -= 1;
	// Fix: use function so npc's can properly have infinite ammo and drop the proper amount on death.
	UseAmmoForShot();

	msp = MaDSSniperProjectile(spawn(ProjectileClass,Instigator,, Start));
	msp.SetVelocity(Dir);
	//log(self$" spawned mad sniper proj "$msp$" at "$msp.Location$" player loc "$Instigator.Location$" speed "$msp.Velocity$" rot "$Instigator.Rotation);
}

defaultproperties
{
     DamageAmount=25.000000
     MomentumHitMag=10000.000000
     DamageTypeInflicted=Class'BaseFX.RifleDamage'
     MaxAmmoMP=15
     MaxAmmo=40
     bLeadTarget=True
     ProjectileClass=Class'AW7MaDInventory.MaDSSniperProjectile'
     WarnTargetPct=0.200000
     RefireRate=0.990000
     PickupClass=Class'AW7MaDInventory.MaDSSniperAmmoPickup'
     Texture=Texture'MaDModsTex.Icon_Weapon_MaDSSniper'
}
