//=============================================================================
// MaDShurikenWake.
// Created on: 03/25/2005
// Blurry effect of particles behind the shurikens
// Written by Eduard Klemens
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MaDShurikenWake extends P2Emitter;

#exec OBJ LOAD FILE=MaDModsTex.utx

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=SpriteEmitter120
         UseDirectionAs=PTDU_Normal
         ProjectionNormal=(X=0.300000)
         FadeOut=True
         CoordinateSystem=PTCS_Relative
         MaxParticles=18
         SpinParticles=True
         SpinCCWorCW=(X=1.000000)
         SpinsPerSecondRange=(X=(Min=3.000000,Max=3.000000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         StartSizeRange=(X=(Min=12.000000,Max=12.000000),Y=(Min=12.000000,Max=12.000000))
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'MaDModsTex.MaDShurikenSpin'
         TextureUSubdivisions=1
         TextureVSubdivisions=2
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=1.200000,Max=1.200000)
         StartVelocityRange=(X=(Min=500.000000,Max=500.000000),Y=(Min=-15.000000,Max=15.000000),Z=(Min=-15.000000,Max=15.000000))
         Name="SpriteEmitter120"
     End Object
     Emitters(0)=SpriteEmitter'AW7MaDInventory.SpriteEmitter120'
     Begin Object Class=SpriteEmitter Name=SpriteEmitter121
         UseDirectionAs=PTDU_Normal
         ProjectionNormal=(Y=1.000000,Z=0.000000)
         FadeOut=True
         CoordinateSystem=PTCS_Relative
         MaxParticles=18
         SpinParticles=True
         SpinCCWorCW=(X=1.000000)
         SpinsPerSecondRange=(X=(Min=3.000000,Max=3.000000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         StartSizeRange=(X=(Min=12.000000,Max=12.000000),Y=(Min=12.000000,Max=12.000000))
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'MaDModsTex.MaDShurikenSpin'
         TextureUSubdivisions=1
         TextureVSubdivisions=2
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=1.200000,Max=1.200000)
         StartVelocityRange=(X=(Min=500.000000,Max=500.000000),Y=(Min=-15.000000,Max=15.000000),Z=(Min=-15.000000,Max=15.000000))
         Name="SpriteEmitter121"
     End Object
     Emitters(1)=SpriteEmitter'AW7MaDInventory.SpriteEmitter121'
     AutoDestroy=True
     RemoteRole=ROLE_None
}
