//=============================================================================
// MaDSyringeWeird.
// Modifyed on: 03/25/2005
// Written by Kamek
// Modifyed by Eduard Klemens
// Kamek@cox.net
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MaDSyringeWeird extends MaDSyringeWeirdness;

#exec OBJ LOAD FILE=MaDModsSounds.uax

var float OldFOV;
var /*config*/ float NewFOV;
var /*config*/ float MaxDeviation, MinDeviation;
var /*config*/ float Stickiness;

simulated function StartWeirdness()
{
	OldFOV = OurTargetController.DesiredFOV;
	OurTargetController.FOV(NewFOV);
	OurTarget.GroundSpeed = OurTarget.GroundSpeed/Stickiness;
}

event Tick(float DeltaTime)
{
    local vector X,Y,Z, NewAccel;

	if (ROLE < Role_Authority)
		if (OurTargetController.DesiredFOV != NewFov)
			OurTargetController.Fov(NewFov);

	Super.Tick(DeltaTime);

	if (!bBot)
		GetAxes(OurTargetController.Rotation,X,Y,Z);
	else
		GetAxes(OurTarget.Rotation,X,Y,Z);
	if (OurTarget.Physics == PHYS_Walking)
	{
		OurTarget.Velocity += (Rand(Abs(MaxDeviation)+Abs(MinDeviation)) + MinDeviation)*Y;
		OurTarget.Velocity += (Rand(Abs(MaxDeviation)+Abs(MinDeviation)) + MinDeviation)*X;
	}
}

// Switch back to normal.
simulated function StopWeirdness()
{
	OurTargetController.FOV(90);
	OurTarget.GroundSpeed = OurTarget.GroundSpeed*Stickiness;
}

defaultproperties
{
     NewFOV=160.000000
     MaxDeviation=200.000000
     MinDeviation=-200.000000
     Stickiness=1.500000
}
