//=============================================================================
// Copyright 2004 Running With Scissors, Inc.  All Rights Reserved.
//=============================================================================
class AW7PhraudHogslop extends AW7Person
	placeable;

const DIED_EARLY_EVENT = 'EndMovie';

///////////////////////////////////////////////////////////////////////////////
// If I'm used for an errand, delete my seeking rockets when i die
// so that it doesnt mess up anything after (like a cinematic)
///////////////////////////////////////////////////////////////////////////////
function CheckForErrandCompleteOnDeath(Controller Killer)
{
	local LauncherSeekingProjectileTrad rkt;

	if(bUseForErrands)
	{
		foreach AllActors(class'LauncherSeekingProjectileTrad', rkt)
		{
			if(rkt.Dropper == Controller)
				rkt.Destroy();
		}
	}

	Super.CheckForErrandCompleteOnDeath(Killer);
}

defaultproperties
{
     TakesSledgeDamage=0.010000
     TakesMacheteDamage=0.010000
     TakesScytheDamage=0.010000
     TakesDervishDamage=0.010000
     TakesZombieSmashDamage=0.010000
     BlockMeleeFreq=1.000000
     HeadSkin=Texture'AW_Characters.Special.Phred'
     HeadMesh=SkeletalMesh'AW_Heads.AW_Fraud'
     bRandomizeHeadScale=False
     bStartupRandomization=False
     Psychic=1.000000
     Champ=0.900000
     Cajones=1.000000
     Temper=1.000000
     Glaucoma=0.700000
     Twitch=1.000000
     Compassion=0.000000
     WarnPeople=0.000000
     Conscience=0.000000
     Beg=0.000000
     PainThreshold=1.000000
     Reactivity=0.500000
     Confidence=1.000000
     Rebel=1.000000
     Patience=0.500000
     WillKneel=0.050000
     WillUseCover=0.100000
     Talkative=0.200000
     Stomach=1.000000
     TalkWhileFighting=0.250000
     TakesShotgunHeadShot=0.010000
     TakesRifleHeadShot=0.100000
     TakesShovelHeadShot=0.100000
     TakesOnFireDamage=0.200000
     TakesAnthraxDamage=0.400000
     TakesShockerDamage=0.100000
     TalkBeforeFighting=1.000000
     WeapChangeDist=500.000000
     bAdvancedFiring=True
     dialogclass=Class'AWPawns.DialogPhraud'
     BaseEquipment(0)=(WeaponClass=Class'Inventory.MachineGunWeapon')
     BaseEquipment(1)=(WeaponClass=Class'Inventory.LauncherWeapon')
     TakesChemDamage=0.300000
     HealthMax=1000.000000
     bPlayerIsEnemy=True
     bPersistent=True
     bCanTeleportWithPlayer=False
     bKeepForMovie=True
     Mesh=SkeletalMesh'Characters.Avg_M_LS_Pants'
     Skins(0)=Texture'AW_Characters.Special.Phred_Suit'
}
