//=============================================================================
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//=============================================================================
class AW7RWSNathan extends AWRWSStaff
	placeable;

///////////////////////////////////////////////////////////////////////////////
// Record pawn dead, if player killed them
///////////////////////////////////////////////////////////////////////////////
function Died(Controller Killer, class<DamageType> damageType, vector HitLocation)
{
	if(P2GameInfoSingle(Level.Game) != None
		&& P2GameInfoSingle(Level.Game).TheGameState != None
		&& AW7GameState(P2GameInfoSingle(Level.Game).TheGameState) != None
		&& Killer != None
		&& Killer.bIsPlayer)
	{
		// Record the pawn as an innocent, if we don't hate the player.
		if (bInnocent)
			AW7GameState(P2GameInfoSingle(Level.Game).TheGameState).InnocentsKilled++;
	}

	Super.Died(Killer, damageType, HitLocation);
}

defaultproperties
	{
	HeadScale=(X=0.95,Y=1.0,Z=1.0)
	bStartupRandomization=false
	Conscience=1.0
	PainThreshold=1.0
	Talkative=0.5
	DonutLove=1.0
	VoicePitch=0.95
	Twitch=1.7

	Skins[0]=Texture'ChameleonSkins.Special.RWS_Shorts'
	Mesh=Mesh'Characters.Avg_M_SS_Shorts'
	HeadSkin=Texture'ChamelHeadSkins.MWA__008__AvgMale'
	ControllerClass=class'AW7RWSController'
	HeadClass=class'AW7Head'
	GutsEmitterClass1=Class'AW7FX.TorsoGutsIntestine'
	GutsEmitterClass2=Class'AW7FX.TorsoGutsOrgans'
	LimbClass=class'Aw7Limb'
	}
