// AW7ZombieRandom
// A zombie with random zombie parameters.
class AW7ZombieRandom extends AW7Zombie
	placeable;

///////////////////////////////////////////////////////////////////////////////
//	PostBeginPlay
///////////////////////////////////////////////////////////////////////////////
simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	
	RandomizeAttribute(ChargeFreq, RAND_ATTRIBUTE_DEFAULT, 1.0, 0.0);
	RandomizeAttribute(VomitFreq, RAND_ATTRIBUTE_DEFAULT, 1.0, 0.0);
	RandomizeAttribute(MoanFreq, RAND_ATTRIBUTE_DEFAULT, 1.0, 0.0);
	RandomizeAttribute(TouretteFreq, RAND_ATTRIBUTE_DEFAULT, 1.0, 0.0);

	RandomizeAttribute(PreSledgeChargeFreq, RAND_ATTRIBUTE_DEFAULT, 1.0, 0.0);
	RandomizeAttribute(PreSledgeAttackFreq, RAND_ATTRIBUTE_DEFAULT, 1.0, 0.0);
	RandomizeAttribute(PreSledgeFleeFreq, RAND_ATTRIBUTE_DEFAULT, 1.0, 0.0);

	RandomizeAttribute(SpitSpeedMin, 150, 500, 200);
	RandomizeAttribute(SpitSpeedMax, 150, 1000, 400);
	
	RandomizeAttribute(WalkAttackTimeHalf, 2.0, 5.0, 0.5);
	RandomizeAttribute(ChargeAttackTimeHalf, 2.0, 5.0, 0.5);
	RandomizeAttribute(CrawlAttackTimeHalf, 2.0, 5.0, 0.5);
}

defaultproperties
{
	Skins(0)=Texture'AW7_EDZombies.Misc.XX__142__Fem_SS_Shorts'
	Mesh=SkeletalMesh'AW7Characters.Avg_Zombie'
}