class ACTION_IsWeekendGame extends ScriptedAction;

var() bool bIs;

function ProceedToNextAction(ScriptedController C)
{
	local AW7GameInfo game;

	game = AW7GameInfo(C.Level.Game);

	C.ActionNum += 1;
	if (game == None)
		ProceedToSectionEnd(C);
	if (game.WeekendGame() != bIs)
		ProceedToSectionEnd(c);
}

function string GetActionString()
{
		return ActionString@bIs;
}

defaultproperties
{
	ActionString="If weekendable game is"
	bRequiresValidGameInfo=true
	bIs=true
}
