///////////////////////////////////////////////////////////////////////////
// AW7UrethraWeapon
//
// Lets the dude piss napalm again.
///////////////////////////////////////////////////////////////////////////

class AW7UrethraWeapon extends UrethraWeapon;

var class<FluidPourFeeder> bloodstream;
var class<FluidPourFeeder> vdstream;
var class<FluidPourFeeder> normalstream;
var class<FluidPourFeeder> mpstream;
var class<FluidPourFeeder> firestream;


///////////////////////////////////////////////////////////////////////////////
// Decide and spawn the actual stream
///////////////////////////////////////////////////////////////////////////////
function SpawnStream()
{
	if(UrethraAmmoInv(AmmoType)==None)
		return;

	// Make sure the old one is done
	ForceEndFire();

	if(UrethraAmmoInv(AmmoType).IsBloodied())
	{
		// bloody urine overrides everything
		UrineStream = spawn(bloodstream,Instigator,,,Rotation);
	}
	else if(IsInfected())
	{
		// You've got a VD
		UrineStream = spawn(vdstream,Instigator,,,Rotation);
		// Reset the sighing so he comments each time you piss like this
		bSighed=true;
	}
	else
	{
		if(P2GameInfoSingle(Level.Game) != None
			&& P2GameInfoSingle(Level.Game).VerifySeqTime())
		{
			// Piss napalm
			UrineStream = spawn(firestream, Instigator,,,Rotation);
			NapalmPourFeeder(UrineStream).InitialPourSpeed=normalstream.default.InitialPourSpeed;
			NapalmPourFeeder(UrineStream).InitialSpeedZPlus=normalstream.default.InitialSpeedZPlus;
			// Use it twice as fast as normal
			AmmoUseRate=2*default.AmmoUseRate;
		}
		else
		{
			if(P2GameInfoSingle(Level.Game) != None)
				// Make normal urine
				UrineStream = spawn(normalstream,Instigator,,,Rotation);
			else
			{
				UrineStream = spawn(mpstream,Instigator,,,Rotation);
			}
		}
	}

	// Make sure the all versions of piss can still trigger urine buckets (like in the piss on dad's grave errand)
	UrineStream.MyDamageType=normalstream.default.MyDamageType;

	//UrineStream.MyOwner = Instigator;
	SnapUrineStreamToGun(true);
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
	bloodstream=Class'FX.BloodyUrinePourFeeder'
	vdstream=Class'FX.GonorrheaPourFeeder'
	normalstream=Class'AWPawns.AWUrinePourFeeder'
	mpstream=Class'FX.UrinePourFeederMP'
	firestream=Class'FX.NapalmPourFeeder'
	Skins(0)=Texture'MP_FPArms.LS_arms.LS_hands_dude'
}
