///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
class CatRocket2 extends CatRocket;

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
var bool bHitPawn;

///////////////////////////////////////////////////////////////////////////////
// Add a controller to our newly spawned cat
///////////////////////////////////////////////////////////////////////////////
function AddController(FPSPawn newcat)
{
	if ( newcat.Controller == None
		&& newcat.Health > 0 )
	{
		if ( (newcat.ControllerClass != None))
			newcat.Controller = spawn(newcat.ControllerClass);
		if ( newcat.Controller != None )
			newcat.Controller.Possess(newcat);
		// Check for AI Script
		newcat.CheckForAIScript();
	}
}


auto state Flying
{
	simulated function Explode(vector HitLocation, vector HitNormal)
	{
		local CatExplosion exp;
		local Rotator NewRot;
		local AWCatPawn CatR;

		if(!bExploded)
		{
			if(class'P2Player'.static.BloodMode())
			{
				exp = spawn(class'CatExplosion',,,HitLocation);
				exp.FitToNormal(HitNormal);

				NewRot = Rotator(-HitNormal);
				NewRot.Roll=(65536*FRand());
				spawn(class'BloodMachineGunSplat',self,,HitLocation,NewRot);
			}
			else
				spawn(class'RocketSmokePuff',,,Location);	// gotta give the lame no-blood mode something!

			bExploded=true;

			catr = spawn(class'CatRocketPawn',,, Location, Rotation);

			if (catr == None)
				catr = spawn(class'CatRocketPawn',,, Location + vect(0,0,20), Rotation);

			if (catr != None)
				AddController(CatR);

 			Destroy();
		}
	}
}

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
simulated function Destroyed()
{


	Super.Destroyed();
}

