///////////////////////////////////////////////////////////////////////////////
// FlameAttachment
// By: Kamek (kamek@postalleague.com)
// For: Eternal Damnation
//
// Weapon attachment for the flamethrower.
// Currently using the "RWS Ozone Spray" aerosol can. I recommend we use this
// as the third person actor and re-skin the can using that "Stynx" stuff.
// The tazer third person anims work pretty well for the can here.
///////////////////////////////////////////////////////////////////////////////

class FlameAttachment extends AW7WeaponAttachment;

defaultproperties
{
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'AW7EDMesh.Weapons.TP_Stynx'
	// If you change the Static Mesh make sure to fix the relative location/rotation too.
//	RelRot=(Pitch=0,Yaw=0,Roll=32768)
//	RelLoc=(X=10,Y=-4,Z=3)
//	RelativeRotation=(Pitch=0,Yaw=0,Roll=32768)
//	RelativeLocation=(X=10,Y=-4,Z=3)
	FiringMode="SHOCKER1"
	WeapClass=class'FlameWeapon'
}

