//=============================================================================
// MaDAnthBall.
// Created on: 05/04/2005
// Written by Eduard Klemens
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MaDAnthBall extends Anth;

state WaitAndFade
{
	ignores Timer, Tick;
	// Don't hurt stuff here, in this state
	simulated function BeginState()
	{
		local int i;
		for(i=0; i<Emitters.length; i++)
		{
			AutoDestroy=true;
			Emitters[i].ParticlesPerSecond=0;
			Emitters[i].RespawnDeadParticles=false;
		}
	}
}

defaultproperties
{
     DamageDistMag=50.000000
     Begin Object Class=SpriteEmitter Name=SpriteEmitter89
         UseColorScale=True
         ColorScale(0)=(Color=(B=50,G=200,R=150))
         ColorScale(1)=(RelativeTime=1.000000,Color=(B=150,G=255,R=50))
         ColorScale(2)=(RelativeTime=1.000000)
         StartLocationRange=(X=(Min=-30.000000,Max=30.000000),Y=(Min=-30.000000,Max=30.000000),Z=(Max=30.000000))
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.050000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.200000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
         StartSizeRange=(X=(Min=60.000000,Max=90.000000))
         DrawStyle=PTDS_Brighten
         Texture=Texture'nathans.Skins.wispsmoke'
         TextureUSubdivisions=2
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=3.000000)
         StartVelocityRange=(X=(Min=-10.000000,Max=10.000000),Y=(Min=-10.000000,Max=10.000000),Z=(Min=-20.000000,Max=20.000000))
         MaxAbsVelocity=(X=50.000000,Y=50.000000,Z=50.000000)
         VelocityLossRange=(Z=(Min=0.200000,Max=0.200000))
         Name="SpriteEmitter89"
     End Object
     Emitters(0)=SpriteEmitter'AW7MaDInventory.SpriteEmitter89'
     AutoDestroy=True
     bTrailerSameRotation=True
     bReplicateMovement=True
     Physics=PHYS_Trailer
     LifeSpan=200.000000
     CollisionRadius=50.000000
     CollisionHeight=50.000000
}
