//=============================================================================
// MaDBombBoom.
// Created on: 03/15/2005
// Written by Eduard Klemens
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MaDBombBoom extends MaDBombExplosion;

#exec OBJ LOAD FILE=MaDModsSounds.uax

event PreBeginPlay()
{
	if (!AW7EarlyGameInfo(Level.Game).bCartoonyEffects)
		Emitters[0].Disabled=True;
	else
		Super.PreBeginPlay();
}

defaultproperties
{
     MaDBombExplodeAir=None
     MaDBombExplodeGround=None
     ExplosionMag=0.000000
     ExplosionDamage=0.000000
     ExplosionRadius=0.000000
     MyDamageType=None
     Begin Object Class=SpriteEmitter Name=SpriteEmitter75
         StartLocationOffset=(Z=65.000000)
         UseSizeScale=True
         StartSizeRange=(X=(Min=120.000000,Max=120.000000),Y=(Min=120.000000,Max=120.000000),Z=(Min=120.000000,Max=120.000000))
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'MaDModsTex.MaDKaboom'
         TextureUSubdivisions=1
         TextureVSubdivisions=1
         LifetimeRange=(Min=1.000000,Max=1.000000)
         Name="SpriteEmitter75"
     End Object
     Emitters(0)=SpriteEmitter'AW7MaDInventory.SpriteEmitter75'
     Begin Object Class=SpriteEmitter Name=SpriteEmitter71
         UseDirectionAs=PTDU_Up
         FadeOutStartTime=0.500000
         FadeOut=True
         FadeInEndTime=0.500000
         FadeIn=True
         MaxParticles=20
         RespawnDeadParticles=False
         StartLocationShape=PTLS_Sphere
         SphereRadiusRange=(Min=100.000000,Max=300.000000)
         StartSizeRange=(X=(Min=0.500000,Max=1.000000),Y=(Min=10.000000,Max=30.000000))
         InitialParticlesPerSecond=200.000000
         AutomaticInitialSpawning=False
         Texture=Texture'nathans.Skins.softwhitedot'
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=1.000000,Max=1.000000)
         StartVelocityRadialRange=(Min=900.000000,Max=1000.000000)
         VelocityLossRange=(X=(Min=1.500000,Max=1.500000),Y=(Min=1.500000,Max=1.500000),Z=(Min=1.500000,Max=1.500000))
         GetVelocityDirectionFrom=PTVD_AddRadial
         Name="SpriteEmitter71"
     End Object
     Emitters(1)=SpriteEmitter'AW7MaDInventory.SpriteEmitter71'
     LifeSpan=2.000000
}
