//=============================================================================
// MaDSyringeProjectile.
// Created on: 04/05/2005
// Written by Eduard Klemens
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MaDSyringeCloud extends MaDAnth;

state WaitAndFade
{
	ignores Timer, Tick;
	// Don't hurt stuff here, in this state
	simulated function BeginState()
	{
		local int i;
		for(i=0; i<Emitters.length; i++)
		{
			AutoDestroy=true;
			Emitters[i].ParticlesPerSecond=0;
			Emitters[i].RespawnDeadParticles=false;
		}
	}
}

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=SpriteEmitter106
         UseColorScale=True
         ColorScale(0)=(Color=(B=20,R=255))
         ColorScale(1)=(RelativeTime=0.800000,Color=(B=20,G=30,R=255))
         ColorScale(2)=(RelativeTime=1.000000)
         MaxParticles=20
         StartLocationRange=(X=(Min=-100.000000,Max=100.000000),Y=(Min=-100.000000,Max=100.000000),Z=(Min=-100.000000,Max=100.000000))
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.050000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.200000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
         StartSizeRange=(X=(Min=350.000000,Max=450.000000))
         ParticlesPerSecond=1.500000
         InitialParticlesPerSecond=6.000000
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_Brighten
         Texture=Texture'nathans.Skins.wispsmoke'
         TextureUSubdivisions=2
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Max=5.000000)
         StartVelocityRange=(X=(Min=-25.000000,Max=25.000000),Y=(Min=-25.000000,Max=25.000000),Z=(Min=-35.000000,Max=35.000000))
         MaxAbsVelocity=(X=50.000000,Y=50.000000,Z=50.000000)
         Name="SpriteEmitter106"
     End Object
     Emitters(0)=SpriteEmitter'AW7MaDInventory.SpriteEmitter106'
     Begin Object Class=SpriteEmitter Name=SpriteEmitter107
         UseColorScale=True
         ColorScale(0)=(Color=(B=20,R=255))
         ColorScale(1)=(RelativeTime=1.000000,Color=(B=20,G=30,R=255))
         StartLocationRange=(X=(Min=-60.000000,Max=60.000000),Y=(Min=-60.000000,Max=60.000000),Z=(Min=-60.000000,Max=60.000000))
         SpinParticles=True
         SpinsPerSecondRange=(X=(Min=0.100000,Max=0.200000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(1)=(RelativeTime=0.500000,RelativeSize=1.000000)
         SizeScale(2)=(RelativeTime=1.000000)
         SizeScaleRepeats=3.000000
         StartSizeRange=(X=(Min=3.000000,Max=5.000000))
         ParticlesPerSecond=1.000000
         InitialParticlesPerSecond=3.000000
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'nathans.Skins.bubbles'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Max=3.000000)
         StartVelocityRange=(X=(Min=-10.000000,Max=10.000000),Y=(Min=-10.000000,Max=10.000000),Z=(Min=-3.000000,Max=3.000000))
         Name="SpriteEmitter107"
     End Object
     Emitters(1)=SpriteEmitter'AW7MaDInventory.SpriteEmitter107'
     Begin Object Class=SpriteEmitter Name=SpriteEmitter108
         UseColorScale=True
         ColorScale(0)=(Color=(B=20,R=255))
         ColorScale(1)=(RelativeTime=1.000000,Color=(B=20,G=30,R=255))
         StartLocationRange=(X=(Min=-60.000000,Max=60.000000),Y=(Min=-60.000000,Max=60.000000),Z=(Min=-60.000000,Max=60.000000))
         SpinParticles=True
         SpinsPerSecondRange=(X=(Min=0.200000,Max=0.300000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(1)=(RelativeTime=0.500000,RelativeSize=1.000000)
         SizeScale(2)=(RelativeTime=1.000000)
         SizeScaleRepeats=2.000000
         StartSizeRange=(X=(Min=3.000000,Max=5.000000))
         ParticlesPerSecond=1.000000
         InitialParticlesPerSecond=3.000000
         AutomaticInitialSpawning=False
         Texture=Texture'nathans.Skins.bubbles'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Max=3.000000)
         StartVelocityRange=(X=(Min=-10.000000,Max=10.000000),Y=(Min=-10.000000,Max=10.000000),Z=(Min=-3.000000,Max=3.000000))
         Name="SpriteEmitter108"
     End Object
     Emitters(2)=SpriteEmitter'AW7MaDInventory.SpriteEmitter108'
     AutoDestroy=True
     RemoteRole=ROLE_SimulatedProxy
     LifeSpan=5.000000
     CollisionRadius=800.000000
     CollisionHeight=400.000000
}
