//=============================================================================
// Protestors
// Copyright 2001 Running With Scissors, Inc.  All Rights Reserved.
//
// Base class for all protestor characters.
//
//=============================================================================
class AW7Protestors extends AW7Marchers
	notplaceable
	Abstract;

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
// Confused before next state
// Generally be confused then do your next state, like attack the guy
// you were confused about
// Requires InterestVect be set first for the focal point interest
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
state ConfusedByDanger
{
	///////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////
	function bool SayWhat()
	{
		return true;
	}
}

defaultproperties
{
	boltons(0)=(StaticMesh=StaticMesh'Timb_mesh.Items.picket_timb',bCanDrop=True)
	Psychic=0.150000
	Cajones=1.000000
	PainThreshold=1.000000
	Rebel=1.000000
	BaseEquipment(0)=(WeaponClass=Class'Inventory.PistolWeapon')
	ViolenceRankTolerance=1
	Gang="Protestors"
	// Nothing special in ProtestorController... use plain old marcher controllers
//	ControllerClass=Class'AIPack.ProtestorController'
}
