//=============================================================================
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//=============================================================================
class AW7RWSGeoff extends AWRWSStaff
	placeable;

///////////////////////////////////////////////////////////////////////////////
// Record pawn dead, if player killed them
///////////////////////////////////////////////////////////////////////////////
function Died(Controller Killer, class<DamageType> damageType, vector HitLocation)
{
	if(P2GameInfoSingle(Level.Game) != None
		&& P2GameInfoSingle(Level.Game).TheGameState != None
		&& AW7GameState(P2GameInfoSingle(Level.Game).TheGameState) != None
		&& Killer != None
		&& Killer.bIsPlayer)
	{
		// Record the pawn as an innocent, if we don't hate the player.
		if (bInnocent)
			AW7GameState(P2GameInfoSingle(Level.Game).TheGameState).InnocentsKilled++;
	}

	Super.Died(Killer, damageType, HitLocation);
}

defaultproperties
	{
	Skins[0]=Texture'ChameleonSkins.Special.RWS_Shorts'
	Mesh=Mesh'Characters.Avg_M_SS_Shorts'
	HeadSkin=Texture'ChamelHeadSkins.MWA__035__AvgMale'
	ControllerClass=class'AW7RWSController'
	GutsEmitterClass1=Class'AW7FX.TorsoGutsIntestine'
	GutsEmitterClass2=Class'AW7FX.TorsoGutsOrgans'
	HeadClass=class'AW7Head'
	LimbClass=class'Aw7Limb'
	}
