///////////////////////////////////////////////////////////////////////////////
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//
//  Country rednecks. One of the groups to end up hating the dude.
//
///////////////////////////////////////////////////////////////////////////////
class AW7Rednecks extends AW7Person
	placeable;

function PreBeginPlay()
	{
	Super.PreBeginPlay();

	// Do this here because we can't use enums in default properties
	ChameleonOnlyHasGender = Gender_Male;
	}

///////////////////////////////////////////////////////////////////////////////
// Record pawn dead, if player killed them
///////////////////////////////////////////////////////////////////////////////
function Died(Controller Killer, class<DamageType> damageType, vector HitLocation)
{
	if(P2GameInfoSingle(Level.Game) != None
		&& P2GameInfoSingle(Level.Game).TheGameState != None
		&& AW7GameState(P2GameInfoSingle(Level.Game).TheGameState) != None
		&& Killer != None
		&& Killer.bIsPlayer)
	{
		// Record the pawn as an innocent, if we don't hate the player.
		if (bInnocent)
			AW7GameState(P2GameInfoSingle(Level.Game).TheGameState).InnocentsKilled++;
	}

	Super.Died(Killer, damageType, HitLocation);
}

defaultproperties
{
	ChameleonSkins(0)="ChameleonSkins.MW__055__Avg_M_SS_Pants"
	ChameleonSkins(1)="ChameleonSkins.MW__072__Big_M_LS_Pants"
	ChameleonSkins(2)="ChameleonSkins.MW__103__Fat_M_SS_Pants"
	ChameleonSkins(3)="End"
	ChameleonMeshPkgs(0)="Characters"
	ControllerClass=Class'AW7Pawns.AW7RedneckController'
	DialogClass=Class'AW7DialogRedneck'
	BlockMeleeFreq=0.050000
	bDogFriend=True
	bCellUser=False
	Cajones=0.800000
	Glaucoma=0.800000
	PainThreshold=0.950000
	Rebel=1.000000
	Stomach=0.900000
	Greed=0.800000
	TalkWhileFighting=0.300000
	TalkBeforeFighting=0.500000
	BaseEquipment(0)=(WeaponClass=Class'Inventory.ShotGunWeapon')
	ViolenceRankTolerance=1
	HealthMax=100.000000
	Gang="Rednecks"
	Mesh=SkeletalMesh'Characters.Avg_M_SS_Pants'
	Skins(0)=Texture'ChameleonSkins.Rednecks.XX__154__Avg_M_SS_Pants'
}
